class GroundPicturesController < ApplicationController
  layout 'test' if Pettanr::TestLayout
  before_filter :authenticate_user!, :only => [:index]

  # GET /ground_pictures
  # GET /ground_pictures.json
  def index
    @page = GroundPicture.page params[:page]
    @page_size = GroundPicture.page_size params[:page_size]
    @ground_pictures = GroundPicture.list(@page, @page_size)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render :json => @ground_pictures.to_json(GroundPicture.list_json_opt) }
    end
  end

end
