class SpeechBalloonsController < ApplicationController
  before_filter :authenticate_admin!, :only => [:list, :browse]

  def list
    @speech_balloons = SpeechBalloon.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @speech_balloons }
    end
  end

  def browse
    @speech_balloon = SpeechBalloon.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @speech_balloon }
    end
  end

end
