class PanelPicturesController < ApplicationController
  layout 'test' if Pettanr::TestLayout
  before_filter :authenticate_user!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]

  # GET /panel_pictures
  # GET /panel_pictures.json
  def index
    @page = PanelPicture.page params[:page]
    @page_size = PanelPicture.page_size params[:page_size]
    @panel_pictures = PanelPicture.list(@page, @page_size)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render :json => @panel_pictures.to_json(PanelPicture.list_json_opt) }
    end
  end

  def list
    @panel_pictures = PanelPicture.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @panel_pictures }
    end
  end

end
